package com.skr.mdm.authentication;

import lombok.Getter;
import org.springframework.security.core.AuthenticationException;

/**
 * @author nfq
 * @date 2020/7/13 11:20
 */
@Getter
public class TokenExpireException extends AuthenticationException {

    private static final long serialVersionUID = -5855229000757130756L;

    private String code;

    public TokenExpireException(String msg) {
        super(msg);
    }

    public TokenExpireException(String code, String msg) {
        super(msg);
        this.code = code;
    }
}
